Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.data
Class CustomDataManagerImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.data.CustomDataManagerImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated

    @Deprecated
    public class CustomDataManagerImpl

extends CatalogServiceImpl

The implementation class for the `CustomDataManager` Session EJB. This implementation delegates to the service specifed by the following EJB environment property:

- `delegateName` - specifies the delegatory `CustomDataManager` service.

See Also
  `CustomDataManager`, `CustomDataManagerHome`, `CatalogManager`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CustomDataManagerImpl()` Deprecated

Method Summary
`long` | `createUniqueId(CatalogRequest request, String jndiHomeName, String pkString)` Deprecated Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.
`void` | `ejbActivate()` Deprecated ejbActivate method.
`void` | `ejbCreate()` Deprecated ejbCreate method.
`void` | `ejbPassivate()` Deprecated ejbPassivate method.
`void` | `ejbPostCreate()` Deprecated ejbPostCreate method.
`void` | `ejbRemove()` Deprecated ejbRemove method.
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey)` Deprecated Retrieve all the property values within a namespace
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey, String namespace)` Deprecated Retrieve all the property values within a namespace
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object defaultValue)` Deprecated Retrieve the value associated with the named key.
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, boolean returnDefault)` Deprecated Retrieve the value associated with the named key.
`void` | `removeProperties(CatalogRequest request, CatalogItemKey itemKey)` Deprecated Remove all the properties for an item with a namespace
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key)` Deprecated Remove the property associated with the named key.
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key)` Deprecated Remove the property associated with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object value)` Deprecated Associate the specified value with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, Object value)` Deprecated Associate the specified value with the named key.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated setSessionContext method.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomDataManagerImpl

    public CustomDataManagerImpl()

  Deprecated

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### getProperty

    public Object getProperty(CatalogRequest request,
                              CatalogItemKey itemKey,
                              String namespace,
                              String key,
                              Object defaultValue)
                       throws RemoteException,
                              CatalogException

  Deprecated
  Retrieve the value associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperty

    public Object getProperty(CatalogRequest request,
                              CatalogItemKey itemKey,
                              String propertySetName,
                              String propertySetType,
                              String key,
                              boolean returnDefault)
                       throws CatalogException,
                              RemoteException

  Deprecated
  Retrieve the value associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    public Object removeProperty(CatalogRequest request,
                                 CatalogItemKey itemKey,
                                 String namespace,
                                 String key)
                          throws RemoteException,
                                 CatalogException

  Deprecated
  Remove the property associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    public Object removeProperty(CatalogRequest request,
                                 CatalogItemKey itemKey,
                                 String propertySetName,
                                 String propertySetType,
                                 String key)
                          throws CatalogException,
                                 RemoteException

  Deprecated
  Remove the property associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            String namespace,
                            String key,
                            Object value)
                     throws RemoteException,
                            CatalogException

  Deprecated
  Associate the specified value with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            String propertySetName,
                            String propertySetType,
                            String key,
                            Object value)
                     throws RemoteException,
                            CatalogException

  Deprecated
  Associate the specified value with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    public Map getProperties(CatalogRequest request,
                             CatalogItemKey itemKey)
                      throws RemoteException,
                             CatalogException

  Deprecated
  Retrieve all the property values within a namespace

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    public Map getProperties(CatalogRequest request,
                             CatalogItemKey itemKey,
                             String namespace)
                      throws RemoteException,
                             CatalogException

  Deprecated
  Retrieve all the property values within a namespace

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperties

    public void removeProperties(CatalogRequest request,
                                 CatalogItemKey itemKey)
                          throws RemoteException,
                                 CatalogException

  Deprecated
  Remove all the properties for an item with a namespace

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### createUniqueId

    public long createUniqueId(CatalogRequest request,
                               String jndiHomeName,
                               String pkString)
                        throws RemoteException,
                               CatalogException

  Deprecated
  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Parameters
    `request` - The catalog request.
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns
    the newly created entity id
  Throws
    `CatalogException` - if there is an error
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.